//
//  SWCViewController.m
//  SWC
//
//  Created by Kyoung Shin Park on 9/30/11.
//  Copyright 2011 __dis__. All rights reserved.
//

#import "SWCViewController.h"

@implementation SWCViewController
@synthesize calculateButton;
@synthesize heightTextField;
@synthesize weightTextField;
@synthesize genderSegmentedControl;

- (void)dealloc
{
    [heightTextField release];
    [weightTextField release];
    [genderSegmentedControl release];
    [calculateButton release];
    [calculator release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    calculator = [[SWCalculator alloc] init];
    [super viewDidLoad];
}


- (void)viewDidUnload
{
    [self setHeightTextField:nil];
    [self setWeightTextField:nil];
    [self setGenderSegmentedControl:nil];
    [self setCalculateButton:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (Gender) selectGender {
    if (self.genderSegmentedControl.selectedSegmentIndex == 0)
        return Male;
    return Female;
}

- (IBAction)calculate:(id)sender {
    double height = [heightTextField.text doubleValue];
    double weight = [weightTextField.text doubleValue];
    Gender gender = [self selectGender];
    NSLog(@"height=%f", height);
    NSLog(@"weight=%f", weight);
    NSLog(@"gender=%d", gender);
    if (height && weight) {
        calculator.height = (float)height;
        calculator.weight = (float)weight;
        calculator.gender = gender;
        float sw = [calculator calculateSW];
        NSLog(@"SW=%f", sw);        
        NSString * bmi = [calculator calculateBMI];
        NSLog(@"BMI=%@", bmi);
        NSString * str = [NSString stringWithFormat:@"표준체중: %.2f BMI: %@", sw, bmi];
        [calculateButton setTitle:str forState:UIControlStateNormal];
    }
}

- (IBAction)doneButtonOnKeyboardPressed:(id)sender {
    // this is needed for hiding a keyboard after done use
}

@end
